/*
   This file is part of the Dvegas library for adaptive Monte Carlo
   integration inspired by Lepage's VEGAS algorithm.
   Copyright (C) 2000-2002, 2012 Nikolas Kauer, Martin Wiebusch

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef OMNICOMP_SKEL_H
#define OMNICOMP_SKEL_H

class OmniProgressOutput;

typedef OmniProgressOutput* OmniProgressOutput_ptr;
typedef OmniProgressOutput* OmniProgressOutput_var;

namespace CORBA 
{
  class ORB_var
  {};
  bool is_nil(OmniProgressOutput_var&);
  typedef float Float;
  typedef short int Short;
}

class OmniProgressOutput
{
public:
  void updateProgressOutput(CORBA::Short, CORBA::Float);
  static OmniProgressOutput_var _duplicate(const OmniProgressOutput_ptr outputRef);
};

class OmniWorker_var
{};

struct OmniParameters
{
  long long int numberOfShots;
  bool haveCorrelationsDetector;
};

#endif     /* OMNICOMP_SKEL_H */
